<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_books_include.php
| Author: Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."booklib/infusion_db.php";
include LOCALE.LOCALESET."search/books.php";

if ($_GET['stype'] == "books" || $_GET['stype'] == "all") {
	if ($_GET['sort'] == "datestamp") {
		$sortby = "book_datestamp";
	} else if ($_GET['sort'] == "subject") {
		$sortby = "book_title";
	} else {
		$sortby = "book_datestamp";
	}
	$ssubject = search_querylike("book_title");
	$smessage = search_querylike("book_description");
	if ($_GET['fields'] == 0) {
		$fieldsvar = search_fieldsvar($ssubject);
	} else if ($_GET['fields'] == 1) {
		$fieldsvar = search_fieldsvar($smessage);
	} else if ($_GET['fields'] == 2) {
		$fieldsvar = search_fieldsvar($ssubject, $smessage);
	} else {
		$fieldsvar = "";
	}
	if ($fieldsvar) {
		$result = dbquery(
			"SELECT td.*,tdc.* FROM ".DB_BOOK." td
			INNER JOIN ".DB_BOOK_CATS." tdc ON td.book_cat=tdc.book_cat_id
			WHERE ".groupaccess('book_cat_access')." AND ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND book_datestamp>=".(time() - $_GET['datelimit']):"")
		);
		$rows = dbrows($result);
	} else {
		$rows = 0;
	}
	if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=books&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$locale['b401'].$rows."</a><br />\n";
		$result = dbquery(
			"SELECT td.*,tdc.* FROM ".DB_BOOK." td
			INNER JOIN ".DB_BOOK_CATS." tdc ON td.book_cat=tdc.book_cat_id
			WHERE ".groupaccess('book_cat_access')." AND ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND book_datestamp>=".(time() - $_GET['datelimit']):"")."
			ORDER BY ".$sortby." ".($_GET['order'] == 1 ? "ASC" : "DESC").($_GET['stype'] != "all" ? " LIMIT ".$_GET['rowstart'].",10" : "")
		);
		while ($data = dbarray($result)) {
			$search_result = "";
			if ($data['book_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
				$new = " <span class='small'>".$locale['b403']."</span>";
			} else {
				$new = "";
			}
			$text_all = $data['book_description'];
			$text_all = search_striphtmlbbcodes($text_all);
			$text_frag = search_textfrag($text_all);
			$subj_c = search_stringscount($data['book_title']);
			$text_c = search_stringscount($data['book_description']);
			$text_frag = highlight_words($swords, $text_frag);
			$search_result .= "[".$data['book_cat_name']."] <a href='".INFUSIONS."booklib/book.php?book_id=".$data['book_id']."' target='_blank'>".highlight_words($swords, $data['book_title'])."</a> $new"."<br /><br />\n";
			if ($text_frag != "") $search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />";
			$search_result .= "<span class='small'><span class='alt'>".$locale['b404']."</span> ".($data['book_author'] ? $data['book_author'] : "");
			$search_result .= ($data['book_publisher'] ? " |\n<span class='alt'>".$locale['b405']."</span> ".$data['book_publisher'] : "");
			$search_result .= ($data['book_pubdate'] ? " |\n<span class='alt'>".$locale['b406']."</span> ".$data['book_pubdate'] : "")."<br />\n";
			$search_result .= "<span class='alt'>".$locale['b407']."</span> ".showdate("%d.%m.%y", $data['book_datestamp'])." |\n";
			$search_result .= "<span class='alt'>".$locale['b408']."</span> ".$data['book_count']."</span><br /><br />\n";
			search_globalarray($search_result);
		}
	} else {
		$items_count .= THEME_BULLET."&nbsp;".$locale['b402']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>