<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: book_items.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: downloads.php By Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."booklib/infusion_db.php";

$asettings['book_photo_max_b'] = 400000;
$asettings['book_photo_max_w'] = 1000;
$asettings['book_photo_max_h'] = 1000;

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['book_110'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['book_111'];
	} elseif ($_GET['status'] == "se") {
		$message = $locale['book_113']."<br />\n<span class='small'>";
		if ($_GET['error'] == 0) { $message .= $locale['book_117']."</span>"; }
		elseif ($_GET['error'] == 1) { $message .= $locale['book_114']."</span>"; }
		elseif ($_GET['error'] == 2) { $message .= sprintf($locale['book_115'], parsebytesize($asettings['book_max_b']))."</span>"; }
		elseif ($_GET['error'] == 3) { $message .= sprintf($locale['book_116'], str_replace(',', ' ', $asettings['book_types']))."</span>"; }
		elseif ($_GET['error'] == 4) { $message .= $locale['book_118']."</span>"; }
		elseif ($_GET['error'] == 5) { $message .=  $locale['book_170']."</span>";}
		elseif ($_GET['error'] == 6) { $message .=  sprintf($locale['book_171'], parsebytesize($asettings['book_photo_max_b']))."</span>";}
		elseif ($_GET['error'] == 7) { $message .=  $locale['book_172']."</span>";}
		elseif ($_GET['error'] == 8) { $message .=  sprintf($locale['book_173'], $asettings['book_photo_max_w'], $asettings['book_photo_max_h'])."</span>";}
	} elseif ($_GET['status'] == "del") {
		$message = $locale['book_112'];
	}
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

$result = dbquery("SELECT * FROM ".DB_BOOK_CATS);
if (dbrows($result)) {
	if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
		$result = dbquery("SELECT book_file, book_cat FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			if (!empty($data['book_file']) && file_exists(BOOKS.$data['book_file'])) {
				@unlink(BOOKS.$data['book_file']);
			}
			if (!empty($data['book_image']) && file_exists(IMAGES_BOOK.$data['book_image'])) {
				@unlink(IMAGES_BOOK.$data['book_image']);
			}
			$result = dbquery("DELETE FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'");
			$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items=book_cat_items-1 WHERE book_cat_id='".$data['book_cat']."'");
			$result = dbquery("DELETE FROM ".DB_BCOMMENTS." WHERE comment_item_id='".$_POST['book_id']."' and comment_type='BO'");
			$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$_POST['news_id']."' and rating_type='B'");
		}	
		redirect(FUSION_SELF.$aidlink."&book_cat_id=".intval($_GET['book_cat_id'])."&status=del");
	} elseif (isset($_POST['save_download'])) {
		$valid_ext = explode(",", $asettings['book_types']);
		$error = 0;
		$book_title = stripinput($_POST['book_title']);
		$book_author = stripinput($_POST['book_author']);
		$book_language = stripinput($_POST['book_language']);
		$book_publisher = stripinput($_POST['book_publisher']);
		$book_pubdate = stripinput($_POST['book_pubdate']);
		$book_description = trim(stripinput($_POST['book_description']));
		$book_filesize = stripinput($_POST['book_filesize']);
		if (isset($_POST['del_upload']) && isset($_GET['book_id']) && isnum($_GET['book_id'])) {
			$result = dbquery("SELECT book_file FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				if (!empty($data['book_file']) && file_exists(BOOKS.$data['book_file'])) {
					@unlink(BOOKS.$data['book_file']);
				}
			}	
			$book_file = "";
		} elseif (!empty($_FILES['book_file']['name']) && is_uploaded_file($_FILES['book_file']['tmp_name'])) {
			$book_url = "";

			$file = $_FILES['book_file'];
			$file_name = str_replace(" ", "_", strtolower(substr($file['name'], 0, strrpos($file['name'], "."))));
			$file_ext = strtolower(strrchr($file['name'],"."));
			$target_folder = BOOKS;
			if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $file_name)) {
				// Invalid file name
				$error = 1;
			} elseif ($file['size'] > $asettings['book_max_b']){
				// Invalid file size
				$error = 2;
			} elseif (!in_array($file_ext, $valid_ext)) {
				// Invalid file extension
				$error = 3;
			} else {
				if (file_exists($target_folder.$file_name.$file_ext)) {
					$i = 1; $file_name_2 = $file_name;
					while (file_exists($target_folder.$file_name_2.$file_ext)) {
						$file_name_2 = $file_name."_".$i;
						$i++;
					}
					$file_name = $file_name_2;
				}
				move_uploaded_file($file['tmp_name'], $target_folder.$file_name.$file_ext);
				chmod($target_folder.$file_name.$file_ext, 0644);
				$book_file = $file_name.$file_ext;
				if (isset($_POST['calc_upload'])) {
					$book_filesize = parsebytesize($file['size']);
				}
			}
		} elseif ((isset($_POST['book_url']) && $_POST['book_url'] != "")  || isset($_POST['book_file'])) {
			$book_url = (isset($_POST['book_url']) ? stripinput($_POST['book_url']) : "");
			$book_file = (isset($_POST['book_file']) ? $_POST['book_file'] : "");
		} else {
			$error = 4;
		}
		if (isset($_FILES['book_image']) && is_uploaded_file($_FILES['book_image']['tmp_name'])) {
			require_once INCLUDES."photo_functions_include.php";
			$image = $_FILES['book_image'];
			$image_name = str_replace(" ", "_", strtolower(substr($image['name'], 0, strrpos($image['name'], "."))));
			$image_ext = strtolower(strrchr($image['name'],"."));

			if ($image_ext == ".gif") { $filetype = 1;
			} elseif ($image_ext == ".jpg") { $filetype = 2;
			} elseif ($image_ext == ".png") { $filetype = 3;
			} else { $filetype = false; }

			if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_name)) {
				$error = 5;
			} elseif ($image['size'] > $asettings['book_photo_max_b']){
				$error = 6;
			} elseif (!$filetype) {
				$error = 7;
			} else {
				$image_full = image_exists(IMAGES_BOOK, $image_name.$image_ext);
				move_uploaded_file($_FILES['book_image']['tmp_name'], IMAGES_BOOK.$image_full);
				if (function_exists("chmod")) { chmod(IMAGES_BOOK.$image_full, 0644); }
				$imagefile = @getimagesize(IMAGES_BOOK.$image_full);
				if ($imagefile[0] > $asettings['book_photo_max_w'] || $imagefile[1] > $asettings['book_photo_max_h']) {
					$error = 8;
					unlink(IMAGES_BOOK.$image_full);
				} else {
					createthumbnail($filetype, IMAGES_BOOK.$image_full, IMAGES_BOOK.$image_full, 180, 180);
				}
			}
			if (!$error) {
				$book_image = $image_full;
			} else {
				$book_image = "";
			}
		} else {
			$book_image = (isset($_POST['book_image']) ? $_POST['book_image'] : "");
		}
		$book_cat = intval($_POST['book_cat']);
		$book_comments = isset($_POST['book_comments']) ? "1" : "0";
		$book_ratings = isset($_POST['book_ratings']) ? "1" : "0";
		if ($book_title && $error == 0) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
				if (isset($_POST['del_image'])) {
					if (!empty($data['book_image']) && file_exists(IMAGES_BOOK.$data['book_image'])) { unlink(IMAGES_BOOK.$data['book_image']); }
					$book_image = "";
				}
				$book_datestamp = isset($_POST['update_datestamp']) ? ", book_datestamp='".time()."'" : "";
				$result = dbquery("SELECT book_cat FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'");
				if (dbrows($result)) {
					$data = dbarray($result);
					if ($data['book_cat']!=$book_cat) {
						$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items=book_cat_items-1 WHERE book_cat_id='".$data['book_cat']."'");
						$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items=book_cat_items+1 WHERE book_cat_id='".$book_cat."'");
					}
				}
				$result = dbquery("UPDATE ".DB_BOOK." SET book_title='$book_title', book_author='$book_author', book_language='$book_language', book_publisher='$book_publisher', book_pubdate='$book_pubdate', book_image='$book_image', book_description='$book_description', book_url='$book_url', book_file='$book_file', book_cat='$book_cat', book_allow_comments='$book_comments', book_allow_ratings='$book_ratings', book_filesize='$book_filesize'".$book_datestamp." WHERE book_id='".$_GET['book_id']."'");
				redirect(FUSION_SELF.$aidlink."&book_cat_id=".$book_cat."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_BOOK." (book_title, book_author, book_language, book_publisher, book_pubdate, book_image, book_description, book_url, book_file, book_cat, book_name, book_filesize, book_datestamp, book_count, book_allow_comments, book_allow_ratings) VALUES ('$book_title', '$book_author', '$book_language', '$book_publisher', '$book_pubdate', '$book_image', '$book_description', '$book_url', '$book_file', '$book_cat', '".$userdata['user_id']."', '$book_filesize', '".time()."', '0', '$book_comments', '$book_ratings')");
				$result = dbquery("UPDATE ".DB_BOOK_CATS." SET book_cat_items=book_cat_items+1 WHERE book_cat_id='".$book_cat."'");
				redirect(FUSION_SELF.$aidlink."&book_cat_id=".$book_cat."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink."&status=se&error=$error");
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['book_id']) && isnum($_GET['book_id']))) {
		$result = dbquery("SELECT * FROM ".DB_BOOK." WHERE book_id='".$_GET['book_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$book_title = $data['book_title'];
			$book_author = $data['book_author'];
			$book_language = $data['book_language'];
			$book_publisher = $data['book_publisher'];
			$book_pubdate = $data['book_pubdate'];
			$book_image = $data['book_image'];
			$book_description = stripinput($data['book_description']);
			$book_url = $data['book_url'];
			$book_file = $data['book_file'];
			$book_filesize = $data['book_filesize'];
			$book_comments = $data['book_allow_comments'] == "1" ? " checked='checked'" : "";
			$book_ratings = $data['book_allow_ratings'] == "1" ? " checked='checked'" : "";
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;book_cat_id=".$data['book_cat']."&amp;book_id=".$data['book_id'];
			opentable($locale['book_101']);
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$book_title = "";
		$book_author = "";
		$book_language = "";
		$book_publisher = "";
		$book_pubdate = "";
		$book_image = "";
		$book_description = "";
		$book_url = "";
		$book_file = "";
		$book_comments = " checked='checked'";
		$book_ratings = " checked='checked'";
		$book_filesize = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['book_100']);
	}
	$editlist = ""; if (isset($_GET['action']) && $_GET['action'] == "edit") { $book_cat = $data['book_cat']; } else { $book_cat = ""; }
	$result2 = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
	if (dbrows($result2) != 0) {
		while ($data2 = dbarray($result2)) {
			$editlist .= menu_subcats($data2['book_cat_id'], $data2['book_cat_name'],1);
		}
	}
	echo "<form id='inputform' method='post' action='".$formaction."' enctype='multipart/form-data'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='460' class='center'>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_411'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_title' value='".$book_title."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_417'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_author' value='".$book_author."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_436'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_language' value='".$book_language."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_415'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_publisher' value='".$book_publisher."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_419'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_pubdate' value='".$book_pubdate."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl' valign='top'>".$locale['book_136']."</td>\n<td class='tbl' valign='top'>\n";
	if ($book_image != "") {
		echo "<label><img src='".IMAGES_BOOK.$book_image."' alt='' /><br />\n";
		echo "<input type='checkbox' name='del_image' value='y' /> ".$locale['book_131']."</label>\n";
		echo "<input type='hidden' name='book_image' value='".$book_image."' />\n";
	} else {
		echo "<input type='file' name='book_image' class='textbox' style='width:250px;' /><br />\n";
		echo sprintf($locale['book_137'], parsebytesize($asettings['book_photo_max_b']))."\n";
	}
	echo "</td>\n</tr>\n<tr>\n";
	echo "<td valign='top' width='80' class='tbl'>".$locale['book_423'].":</td>\n";
	echo "<td class='tbl'><textarea name='book_description' cols='60' rows='5' class='textbox' style='width:380px;'>".$book_description."</textarea></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'></td><td class='tbl'>\n";
	echo display_bbcodes("360px", "book_description")."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_122']."</td>\n";
	echo "<td class='tbl'><input type='text' name='book_url' value='".$book_url."' class='textbox' style='width:380px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl' valign='top'>".$locale['book_130']."</td>\n<td class='tbl' valign='top'>\n";
	if (!empty($book_file)) {
		echo "<a href='".BOOKS.$book_file."'>".BOOKS.$book_file."</a><br />\n";
		echo "<label><input type='checkbox' name='del_upload' value='1' /> ".$locale['book_131']."</label>\n";
		echo "<input type='hidden' name='book_file' value='".$book_file."' />";
	} else {
		echo "<input type='file' name='book_file' class='textbox' style='width:150px;' /><br />\n";
		echo sprintf($locale['book_133'], parsebytesize($asettings['book_max_b']), str_replace(',', ' ', $asettings['book_types']))."<br />\n";
		echo "<label><input type='checkbox' name='calc_upload' id='calc_upload' value='1' /> ".$locale['book_132']."</label>\n";
	}
	echo "</td>\n</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_123'].":</td>\n";
	echo "<td class='tbl'><select name='book_cat' class='textbox'>\n".$editlist."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='80' class='tbl'>".$locale['book_422'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='book_filesize' id='book_filesize' value='".$book_filesize."' class='textbox' style='width:150px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'></td><td class='tbl'>\n";
	echo "<label><input type='checkbox' name='book_comments' value='yes''".$book_comments." /> ".$locale['book_124']."</label>\n";
	echo "<br /><label><input type='checkbox' name='book_ratings' value='yes''".$book_ratings." /> ".$locale['book_125']."</label>\n</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>";
	if (isset($_GET['action']) && $_GET['action'] == "edit") {
		echo "<label><input type='checkbox' name='update_datestamp' value='1' /> ".$locale['book_129']."</label><br />\n";
	}
	echo "<input type='submit' name='save_download' value='".$locale['book_128']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['book_102']);
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n";
	$result = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
	if (dbrows($result)) {
		echo "<tr>\n";
		echo "<td class='tbl2'>".$locale['book_140']."</td>\n";
		echo "<td align='right' class='tbl2'>".$locale['book_141']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td colspan='2' height='1'></td>\n";
		echo "</tr>\n";
		if (!isset($_GET['book_cat_id']) || !isnum($_GET['book_cat_id'])) { $_GET['book_cat_id'] = 0; }
		while ($data = dbarray($result)) {
			if ($data['book_cat_id'] == $_GET['book_cat_id']) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
			echo "<tr>\n";
			echo "<td class='tbl2'>".$data['book_cat_name']."</td>\n";
			echo "<td class='tbl2' align='right'><img src='".get_image("panel_$p_img")."' name='b_".$data['book_cat_id']."' alt='' onclick=\"javascript:flipBox('".$data['book_cat_id']."')\" /></td>\n";
			echo "</tr>\n";
			$result2 = dbquery("SELECT * FROM ".DB_BOOK." WHERE book_cat='".$data['book_cat_id']."' ORDER BY book_title");
			if (dbrows($result2) != 0) {
				echo "<tr>\n<td colspan='2'>\n";
				echo "<div id='box_".$data['book_cat_id']."'".$div.">\n";
				echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
				while ($data2 = dbarray($result2)) {
					if (!empty($data2['book_file']) && file_exists(BOOKS.$data2['book_file'])) {
						$book_url = BOOKS.$data2['book_file'];
					} elseif (!strstr($data2['book_url'],"http://") && !strstr($data2['book_url'],"../")) {
						$book_url = BASEDIR.$data2['book_url'];
					} else {
						$book_url = $data2['book_url'];
					}
					echo "<tr>\n<td class='tbl'><a href='$book_url' target='_blank'>".$data2['book_title']."</a></td>\n";
					echo "<td align='right' width='100' class='tbl'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;book_cat_id=".$data['book_cat_id']."&amp;book_id=".$data2['book_id']."'>".$locale['book_142']."</a> -\n";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;book_cat_id=".$data['book_cat_id']."&amp;book_id=".$data2['book_id']."' onclick=\"return confirm('".$locale['book_160']."');\">".$locale['book_131']."</a></td>\n";
					echo "</tr>\n";
				}
				echo "</table>\n</div>\n</td>\n</tr>\n";
			}
			echo subcats($data['book_cat_id'], 1);
		}
		echo "</table>\n";
	} else {
		echo "<tr>\n<td align='center'><br />\n";
		echo $locale['book_150']."<br /><br /></td>\n";
		echo "</tr>\n</table>\n";
	}
	closetable();
} else {
	opentable($locale['book_102']);
	echo "<div style='text-align:center'>".$locale['book_151']."<br />\n".$locale['book_152']."<br /><br />\n";
	echo "<a href='book_cats.php".$aidlink."'>".$locale['book_153']."</a>".$locale['book_154']."</div>\n";
	closetable();
}

echo "<script language='JavaScript' type='text/javascript'>
$(document).ready(function() {
	$('#calc_upload').click( 
	function() {
		if ($('#calc_upload').attr('checked')) {
			$('#book_filesize').attr('readonly', 'readonly');
			$('#calc_upload').attr('checked', 'checked');
		} else {
			$('#book_filesize').removeAttr('readonly');
			$('#calc_upload').removeAttr('checked');
		}
	});
});
</script>";

function subcats ($id, $level) {
	global $aidlink, $locale;
	$sublist = "";
	$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name, book_cat_description, book_cat_access FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
	if (dbrows($sresult[$id]) != 0) {
		while ($sdata[$id] = dbarray($sresult[$id])) {
			if ($sdata[$id]['book_cat_id'] == $_GET['book_cat_id']) { $p_img = "off"; $div = ""; } else { $p_img = "on"; $div = "style='display:none'"; }
			$sublist .= "<tr>\n";
			$sublist .= "<td class='tbl2'>".str_repeat("&mdash; ",$level)." ".$sdata[$id]['book_cat_name']."</td>\n";
			$sublist .= "<td class='tbl2' align='right'><img src='".get_image("panel_$p_img")."' name='b_".$sdata[$id]['book_cat_id']."' alt='' onclick=\"javascript:flipBox('".$sdata[$id]['book_cat_id']."')\" /></td>\n";
			$sublist .= "</tr>\n";
			$bresult[$id] = dbquery("SELECT * FROM ".DB_BOOK." WHERE book_cat='".$sdata[$id]['book_cat_id']."' ORDER BY book_title");
			if (dbrows($bresult[$id]) != 0) {
				$sublist .= "<tr>\n<td colspan='2'>\n";
				$sublist .= "<div id='box_".$sdata[$id]['book_cat_id']."'".$div.">\n";
				$sublist .= "<table cellpadding='0' cellspacing='0' width='100%'>\n";
				while ($bdata[$id] = dbarray($bresult[$id])) {
					if (!empty($bdata[$id]['book_file']) && file_exists(BOOKS.$bdata[$id]['book_file'])) {
						$book_url = BOOKS.$bdata[$id]['book_file'];
					} elseif (!strstr($bdata[$id]['book_url'],"http://") && !strstr($bdata[$id]['book_url'],"../")) {
						$book_url = BASEDIR.$bdata[$id]['book_url'];
					} else {
						$book_url = $bdata[$id]['book_url'];
					}
					$sublist .= "<tr>\n<td class='tbl'><a href='$book_url' target='_blank'>".$bdata[$id]['book_title']."</a></td>\n";
					$sublist .= "<td align='right' width='100' class='tbl'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;book_cat_id=".$sdata[$id]['book_cat_id']."&amp;book_id=".$bdata[$id]['book_id']."'>".$locale['book_142']."</a> -\n";
					$sublist .= "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;book_cat_id=".$sdata[$id]['book_cat_id']."&amp;book_id=".$bdata[$id]['book_id']."' onclick=\"return confirm('".$locale['book_160']."');\">".$locale['book_131']."</a></td>\n";
					$sublist .= "</tr>\n";
				}
				$sublist .= "</table>\n</div>\n</td>\n</tr>\n";
			}
			$sublist .= subcats($sdata[$id]['book_cat_id'], $level+1);
		}
	}
	return $sublist;
}

function menu_subcats($id, $name, $level) {
	global $book_cat, $asettings; $sel = "";
	if (isset($_GET['action']) && $_GET['action'] == "edit") { $sel = ($book_cat == $id ? " selected='selected'" : ""); }
	$list = "<option value='".$id."'$sel>".str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;",$level-1)." ".$name."</option>\n";
	if ($asettings['subcats']) {
		$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
		if (dbrows($sresult[$id]) != 0) {
			while ($sdata[$id] = dbarray($sresult[$id])) {
				$list .= menu_subcats($sdata[$id]['book_cat_id'], $sdata[$id]['book_cat_name'], $level+1);
			}
		}
	}
	return $list;
}

require_once THEMES."templates/footer.php";
?>