<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: reports.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."booklib/infusion_db.php";

if (file_exists(INFUSIONS."booklib/locale/".$settings['locale'].".php")) {
    include INFUSIONS."booklib/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."booklib/locale/English.php";
}

if (!checkrights("BOL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

if (isset($_GET['status'])) {
	if ($_GET['status'] == "del") {
		$message = $locale['book_610'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_GET['del']) && isnum($_GET['del'])) {
	$result = dbquery("DELETE FROM ".DB_BOOK_REPORTS." WHERE report_id=".$_GET['del']);
	redirect(FUSION_SELF.$aidlink."&amp;status=del");
}

opentable($locale['book_600']);
if (isset($_GET['report_id']) && isnum ($_GET['report_id'])) {
	$result = dbquery("SELECT tr.*, tb.book_title, tu.user_name, tu.user_status FROM ".DB_BOOK_REPORTS." tr
			LEFT JOIN ".DB_BOOK." tb on tr.report_book=tb.book_id
			LEFT JOIN ".DB_USERS." tu on tr.report_name=tu.user_id
			WHERE report_id=".$_GET['report_id']);
	if (dbrows($result)) {
		$data = dbarray($result);
		echo "<table width='95%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n<tbody>\n";
		echo "<tr>\n";
		echo "<td class='tbl2' align='center'>".$locale['book_602'].":</td>\n";
		echo "<td class='tbl1' align='center'><a href='".INFUSIONS."booklib/book.php?book_id=".$data['report_book']."'>".$data['book_title']."</a></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center'>".$locale['book_601'].":</td>\n";
		if ($data['user_name']) {
			$name = profile_link($data['report_name'], $data['user_name'], $data['user_status']);
		} else {
			$name = $data['report_name'];
		}
		echo "<td class='tbl1' align='center'>".$name."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center'>".$locale['book_604'].":</td>\n";
		echo "<td class='tbl1' align='center'>".$data['report_ip']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center'>".$locale['book_603'].":</td>\n";
		echo "<td class='tbl1' align='center'>".showdate("%H:%M:%S %Y/%m/%d", $data['report_datestamp'])."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl2' align='center'>".$locale['book_141'].":</td>\n";
		echo "<td class='tbl1' align='center'><a href='".FUSION_SELF.$aidlink."&amp;del=".$_GET['report_id']."'>".$locale['book_131']."</a>\n";
		echo "</tr>\n</tbody>\n</table>\n";
		echo "<div style='text-align:center'><br /><a href='".FUSION_SELF.$aidlink."'>".$locale['book_607']."</a></div>\n";
	}
} else {
	if (!isset($_GET['rowstart'])) $_GET['rowstart'] = 0;
	$items_per_page = 20;
	$rows = dbcount("(report_id)", DB_BOOK_REPORTS);
	if ($rows) {
		$result = dbquery("SELECT tr.*, tb.book_title FROM ".DB_BOOK_REPORTS." tr
			LEFT JOIN ".DB_BOOK." tb on tr.report_book=tb.book_id
			ORDER BY report_datestamp DESC LIMIT ".$_GET['rowstart'].",$items_per_page");
		echo "<table width='95%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n<thead>\n";
		echo "<tr>\n";
		echo "<th class='tbl2'>".$locale['book_602']."</th>\n";
		echo "<th class='tbl2'>".$locale['book_141']."</th>\n";
		echo "</tr>\n</thead>\n<tbody>\n";
		$i=0;$n=0;
		while($data = dbarray($result)) {
			$n = $i%2+1;$i++;
			echo "<tr>\n";
			echo "<td class='tbl$n' align='center'><a href='".INFUSIONS."booklib/book.php?book_id=".$data['report_book']."'>".$data['book_title']."</a></td>\n";
			echo "<td class='tbl$n' align='center'><a href='".FUSION_SELF.$aidlink."&amp;report_id=".$data['report_id']."'>".$locale['book_611']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;del=".$data['report_id']."'>".$locale['book_131']."</a></td>\n";
			echo "</tr>\n";
		}
		echo "</tbody>\n</table>\n";
		if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
	} else {
		echo "<div style='text-align:center'><br />".$locale['book_612']."<br /><br /></div>\n";
	}
}
closetable();

require_once THEMES."templates/footer.php";
?>