<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submit.php
| Author: Nick Jones (Digitanium)
| Co-author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."booklib/infusion_db.php";

$asettings['book_photo_max_b'] = 400000;
$asettings['book_photo_max_w'] = 1000;
$asettings['book_photo_max_h'] = 1000;

if (!iMEMBER) { redirect("book.php"); }

$result = dbquery("SELECT * FROM ".DB_BOOK_CATS);
if (dbrows($result) && $asettings['book_submit'] == "1") {
	if (isset($_GET['status']) && !isset($message)) {
		if ($_GET['status'] == "sn") {
			$message = $locale['book_524'];
		} elseif ($_GET['status'] == "se") {
			$message = $locale['book_113']."<br />\n<span class='small'>";
			if ($_GET['error'] == 0) { $message .= $locale['book_117']."</span>"; }
			elseif ($_GET['error'] == 1) { $message .= $locale['book_114']."</span>"; }
			elseif ($_GET['error'] == 2) { $message .= sprintf($locale['book_115'], parsebytesize($asettings['book_max_b']))."</span>"; }
			elseif ($_GET['error'] == 3) { $message .= sprintf($locale['book_116'], str_replace(',', ' ', $asettings['book_types']))."</span>"; }
			elseif ($_GET['error'] == 4) { $message .= $locale['book_118']."</span>"; }
			elseif ($_GET['error'] == 5) { $message .=  $locale['book_170']."</span>";}
			elseif ($_GET['error'] == 6) { $message .=  sprintf($locale['book_171'], parsebytesize($asettings['book_photo_max_b']))."</span>";}
			elseif ($_GET['error'] == 7) { $message .=  $locale['book_172']."</span>";}
			elseif ($_GET['error'] == 8) { $message .=  sprintf($locale['book_173'], $asettings['book_photo_max_w'], $asettings['book_photo_max_h'])."</span>";}
		} elseif ($_GET['status'] == "del") {
			$message = $locale['book_112'];
		}
		if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}

	$submit_info = array();

	if (isset($_POST['submit_book'])) {
		$valid_ext = explode(",", $asettings['book_types']);
		$error = 0;
		$submit_info['book_title'] = stripinput($_POST['book_title']);
		$submit_info['book_author'] = stripinput($_POST['book_author']);
		$submit_info['book_language'] = stripinput($_POST['book_language']);
		$submit_info['book_publisher'] = stripinput($_POST['book_publisher']);
		$submit_info['book_pubdate'] = stripinput($_POST['book_pubdate']);
		$submit_info['book_description'] = trim(stripinput($_POST['book_description']));
		$submit_info['book_filesize'] = stripinput($_POST['book_filesize']);
		if (!empty($_FILES['book_file']['name']) && is_uploaded_file($_FILES['book_file']['tmp_name'])) {
			$submit_info['book_url'] = "";
			$file = $_FILES['book_file'];
			$file_name = str_replace(" ", "_", strtolower(substr($file['name'], 0, strrpos($file['name'], "."))));
			$file_ext = strtolower(strrchr($file['name'],"."));
			$target_folder = BOOKS;
			if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $file_name)) {
				// Invalid file name
				$error = 1;
			} elseif ($file['size'] > $asettings['book_max_b']){
				// Invalid file size
				$error = 2;
			} elseif (!in_array($file_ext, $valid_ext)) {
				// Invalid file extension
				$error = 3;
			} else {
				if (file_exists($target_folder.$file_name.$file_ext)) {
					$i = 1; $file_name_2 = $file_name;
					while (file_exists($target_folder.$file_name_2.$file_ext)) {
						$file_name_2 = $file_name."_".$i;
						$i++;
					}
					$file_name = $file_name_2;
				}
				move_uploaded_file($file['tmp_name'], $target_folder.$file_name.$file_ext);
				chmod($target_folder.$file_name.$file_ext, 0644);
				$submit_info['book_file'] = $file_name.$file_ext;
				if (isset($_POST['calc_upload'])) {
					$submit_info['book_filesize'] = parsebytesize($file['size']);
				}
			}
		} elseif ((isset($_POST['book_url']) && $_POST['book_url'] != "")  || isset($_POST['book_file'])) {
			$submit_info['book_url'] = (isset($_POST['book_url']) ? stripinput($_POST['book_url']) : "");
			$submit_info['book_file'] = (isset($_POST['book_file']) ? $_POST['book_file'] : "");
		} else {
			$error = 4;
		}
		if (isset($_FILES['book_image']) && is_uploaded_file($_FILES['book_image']['tmp_name'])) {
			require_once INCLUDES."photo_functions_include.php";
			$image = $_FILES['book_image'];
			$image_name = str_replace(" ", "_", strtolower(substr($image['name'], 0, strrpos($image['name'], "."))));
			$image_ext = strtolower(strrchr($image['name'],"."));

			if ($image_ext == ".gif") { $filetype = 1;
			} elseif ($image_ext == ".jpg") { $filetype = 2;
			} elseif ($image_ext == ".png") { $filetype = 3;
			} else { $filetype = false; }

			if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_name)) {
				$error = 5;
			} elseif ($image['size'] > $asettings['book_photo_max_b']){
				$error = 6;
			} elseif (!$filetype) {
				$error = 7;
			} else {
				$image_full = image_exists(IMAGES_BOOK, $image_name.$image_ext);
				move_uploaded_file($_FILES['book_image']['tmp_name'], IMAGES_BOOK.$image_full);
				if (function_exists("chmod")) { chmod(IMAGES_BOOK.$image_full, 0644); }
				$imagefile = @getimagesize(IMAGES_BOOK.$image_full);
				if ($imagefile[0] > $asettings['book_photo_max_w'] || $imagefile[1] > $asettings['book_photo_max_h']) {
					$error = 8;
					unlink(IMAGES_BOOK.$image_full);
				} else {
					createthumbnail($filetype, IMAGES_BOOK.$image_full, IMAGES_BOOK.$image_full, 180, 180);
				}
			}
			if (!$error) {
				$submit_info['book_image'] = $image_full;
			} else {
				$submit_info['book_image'] = "";
			}
		} else {
			$submit_info['book_image'] = (isset($_POST['book_image']) ? $_POST['book_image'] : "");
		}
		$submit_info['book_cat'] = intval($_POST['book_cat']);
		if ($submit_info['book_title'] && $error == 0) {
			$result = dbquery("INSERT INTO ".DB_BOOK_SUBMISSIONS." (submit_user, submit_datestamp, submit_criteria) VALUES('".$userdata['user_id']."', '".time()."', '".addslashes(serialize($submit_info))."')");
			redirect(FUSION_SELF."?status=sn");
		} else {
			redirect(FUSION_SELF."?status=se&error=$error");
		}
	} else {
		add_to_title($locale['global_200'].$locale['book_521']);
		opentable($locale['book_521']);
		$editlist = "";
		$result2 = dbquery("SELECT * FROM ".DB_BOOK_CATS." WHERE book_cat_parent='0' ORDER BY book_cat_name");
		if (dbrows($result2) != 0) {
			while ($data2 = dbarray($result2)) {
				$editlist .= menu_subcats($data2['book_cat_id'], $data2['book_cat_name'],1);
			}
		}
		echo "<form id='inputform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data' onsubmit='return validatePost(this);'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='460' class='center'>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_411'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_title' value='' class='textbox' style='width:380px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_417'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_author' value='' class='textbox' style='width:380px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_436'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_language' value='' class='textbox' style='width:380px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_415'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_publisher' value='' class='textbox' style='width:380px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_419'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_pubdate' value='' class='textbox' style='width:380px;' /></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl' valign='top'>".$locale['book_136']."</td>\n<td class='tbl' valign='top'>\n";
		echo "<input type='file' name='book_image' class='textbox' style='width:250px;' /><br />\n";
		echo sprintf($locale['book_137'], parsebytesize($asettings['book_photo_max_b']))."\n";
		echo "</td>\n</tr>\n<tr>\n";
		echo "<td valign='top' width='80' class='tbl'>".$locale['book_423'].":</td>\n";
		echo "<td class='tbl'><textarea name='book_description' cols='60' rows='5' class='textbox' style='width:380px;'></textarea></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl'></td><td class='tbl'>\n";
		echo display_bbcodes("360px", "book_description")."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_122']."</td>\n";
		echo "<td class='tbl'><input type='text' name='book_url' value='' class='textbox' style='width:380px;' /><br />".$locale['book_526']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl' valign='top'>".$locale['book_130']."</td>\n<td class='tbl' valign='top'>\n";
		echo "<input type='file' name='book_file' class='textbox' /><br />\n";
		echo sprintf($locale['book_133'], parsebytesize($asettings['book_max_b']), str_replace(',', ' ', $asettings['book_types']))."<br />\n";
		echo "<label><input type='checkbox' name='calc_upload' id='calc_upload' value='1' /> ".$locale['book_132']."</label>\n";
		echo "</td>\n</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_123'].":</td>\n";
		echo "<td class='tbl'><select name='book_cat' class='textbox'>\n".$editlist."</select></td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='80' class='tbl'>".$locale['book_422'].":</td>\n";
		echo "<td class='tbl'><input type='text' name='book_filesize' id='book_filesize' value='' class='textbox' style='width:150px;' /><br />".$locale['book_523']."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'>";
		if (isset($_GET['action']) && $_GET['action'] == "edit") {
			echo "<label><input type='checkbox' name='update_datestamp' value='1' /> ".$locale['book_129']."</label><br />\n";
		}
		echo "<input type='submit' name='submit_book' value='".$locale['book_527']."' class='button' /></td>\n";
		echo "</tr>\n</table>\n</form>\n";
		closetable();
	}

	echo "<script type='text/javascript'>
	function validatePost(frm) {
		if (frm.book_title.value==\"\" || (frm.book_file.value==\"\" && frm.book_url.value==\"\")) {
			alert(\"".$locale['book_522']."\"); return false;
		}
	}
	</script>\n";
} else {
	opentable($locale['book_102']);
	echo "<div style='text-align:center'>".$locale['book_525']."</div>\n";
	closetable();
}

function menu_subcats($id, $name, $level) {
	global $book_cat;
	$list = "<option value='".$id."'>".str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;",$level-1)." ".$name."</option>\n";
	$sresult[$id] = dbquery("SELECT book_cat_id, book_cat_name FROM ".DB_BOOK_CATS." WHERE book_cat_parent='".$id."' ORDER BY book_cat_name");
	if (dbrows($sresult[$id]) != 0) {
		while ($sdata[$id] = dbarray($sresult[$id])) {
			$list .= menu_subcats($sdata[$id]['book_cat_id'], $sdata[$id]['book_cat_name'], $level+1);
		}
	}
	return $list;
}

require_once THEMES."templates/footer.php";
?>